#!/bin/bash
pushd .. &> /dev/null
for rk in *rk*; do
	pushd $rk &> /dev/null
	svn propget svn:externals . | while read ext_line; do
		if [ "$ext_line" != "" ]; then
			ext=$(echo $ext_line | sed 's/.*\s\+\(.*\)$/\1/')
			echo -n "$rk $ext"
			for dot in $( seq 0 $((30-${#rk}-${#ext})) ); do echo -n .; done
			if [ ! -e "$ext" ]; then
				echo " successfully created"
				ln -s $ext_line
			else
				echo " already present"
			fi
		fi
	done
	popd &> /dev/null
done
popd &> /dev/null
